groovy.text.markup

## Class MarkupTemplateEngine.TemplateResource

- java.lang.Object
- - groovy.text.markup.MarkupTemplateEngine.TemplateResource

Enclosing class:
  MarkupTemplateEngine

    public static class MarkupTemplateEngine.TemplateResource
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `hasLocale()`
`static MarkupTemplateEngine.TemplateResource` `parse(java.lang.String fullPath)`
`java.lang.String` `toString()`
`MarkupTemplateEngine.TemplateResource` `withLocale(java.lang.String locale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### parse

    public static MarkupTemplateEngine.TemplateResource parse(java.lang.String fullPath)

#### withLocale

    public MarkupTemplateEngine.TemplateResource withLocale(java.lang.String locale)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hasLocale

    public boolean hasLocale()